| Home | Libraries | People | FAQ | More

###### value::value (13 of 35 overloads)

Construct a `std::int64_t`.

###### Synopsis

    value(
        long i,
        storage_ptr sp = {});

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`i` | The initial value.
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.